Subject: [nfsv4] [PATCH 1/3] Deprecate fedfsNetAddr and fedfsNetPort

From: Chuck Lever <[email-masked]>
Date: Thu, 30 Aug 2012 13:57:04 -0700

Because the FSL host and NSDB name attributes have been deprecated,
the fedfsNetAddr and fedfsNetPort attribute types are no longer
used.  Deprecate them.
---

 nsdb-proto.xml                    |   75 ++-----------------------------------
 references/reference.RFC.1094.xml |   23 -----------
 references/reference.RFC.4291.xml |   17 --------
 3 files changed, 4 insertions(+), 111 deletions(-)
 delete mode 100644 references/reference.RFC.1094.xml
 delete mode 100644 references/reference.RFC.4291.xml

diff --git a/nsdb-proto.xml b/nsdb-proto.xml
index b893e34..17fe011 100644
--- a/nsdb-proto.xml
+++ b/nsdb-proto.xml
@@ -1019,71 +1019,6 @@
             </list>
         </t>
 
-        <section title="fedfsNetAddr">
-
-            <t> A fedfsNetAddr is the locative name of a
-            network service in either IPv4, IPv6, or DNS name
-            notation. It MUST be a UTF-8 string and SHOULD be
-            prepared using the server4 rules defined in Chapter 12
-            "Internationalization" of <xref target="3530bis"/>. </t>
-
-            <t> An IPv4 address MUST be represented using the standard
-            dotted decimal format defined by the IPv4address rule in
-            Section 3.2.2 of RFC 3986 <xref target="RFC3986"/>. An IPv6
-            address MUST be represented using the format defined in
-            Section 2.2 of RFC 4291 <xref target="RFC4291"/>. </t>
-
-            <t> A DNS name MUST be represented using a fully qualified
-            domain name. A system (i.e., fileserver or administrative host)
-            SHOULD resolve the fully qualified domain name to a network
-            address using the system's standard resolution mechanisms. </t>
-
-            <t> This attribute is single-valued. </t>
-
-            <t> &lt;CODE BEGINS> </t>
-
-            <figure><artwork><![CDATA[
-        ///
-        /// attributetype (
-        ///     1.3.6.1.4.1.31103.1.2 NAME 'fedfsNetAddr'
-        ///     DESC 'The network name of a host or service'
-        ///     SUP name
-        ///     SINGLE-VALUE
-        ///     )
-        ///
-            ]]></artwork></figure>
-
-            <t> &lt;CODE ENDS> </t>
-
-        </section>
-
-        <section title="fedfsNetPort">
-
-            <t> A fedfsNetPort is the decimal representation of a
-            transport service's port number. A fedfsNetPort MUST be
-            encoded as an Integer syntax value
-            <xref target="RFC4517"/>. </t>
-
-            <t> This attribute is single-valued. </t>
-
-            <t> &lt;CODE BEGINS> </t>
-
-            <figure><artwork><![CDATA[
-        ///
-        /// attributetype (
-        ///     1.3.6.1.4.1.31103.1.3 NAME 'fedfsNetPort'
-        ///     DESC 'A transport port number of a service'
-        ///     EQUALITY integerMatch
-        ///     SYNTAX 1.3.6.1.4.1.1466.115.121.1.27
-        ///     SINGLE-VALUE
-        ///     )
-        ///
-            ]]></artwork></figure>
-
-            <t> &lt;CODE ENDS> </t>
-
-        </section>
-
         <section title="fedfsFsnUuid">
 
             <t> A fedfsFsnUuid represents the UUID component of an FSN.
@@ -2761,8 +2696,8 @@
         <ttcol align='left' >Reference</ttcol>
 
         <c> 1.3.6.1.4.1.31103.1.1    </c> <c> fedfsUuid               </c> <c> deprecated </c>
-        <c> 1.3.6.1.4.1.31103.1.2    </c> <c> fedfsNetAddr            </c> <c> RFC-TBD1 </c>
-        <c> 1.3.6.1.4.1.31103.1.3    </c> <c> fedfsNetPort            </c> <c> RFC-TBD1 </c>
+        <c> 1.3.6.1.4.1.31103.1.2    </c> <c> fedfsNetAddr            </c> <c> deprecated </c>
+        <c> 1.3.6.1.4.1.31103.1.3    </c> <c> fedfsNetPort            </c> <c> deprecated </c>
         <c> 1.3.6.1.4.1.31103.1.4    </c> <c> fedfsFsnUuid            </c> <c> RFC-TBD1 </c>
         <c> 1.3.6.1.4.1.31103.1.5    </c> <c> fedfsNsdbName           </c> <c> deprecated </c>
         <c> 1.3.6.1.4.1.31103.1.6    </c> <c> fedfsNsdbPort           </c> <c> deprecated </c>
@@ -2832,7 +2767,7 @@
         <list style="hanging">
         <t hangText="Object Identifier:"> 1.3.6.1.4.1.31103.1.2 </t>
         <t hangText="Descriptor (short name):"> fedfsNetAddr </t>
-        <t hangText="Usage:"> attribute type </t>
+        <t hangText="Usage:"> attribute type, deprecated </t>
         </list>
     </t>
 
@@ -2840,7 +2775,7 @@
         <list style="hanging">
         <t hangText="Object Identifier:"> 1.3.6.1.4.1.31103.1.3 </t>
         <t hangText="Descriptor (short name):"> fedfsNetPort </t>
-        <t hangText="Usage:"> attribute type </t>
+        <t hangText="Usage:"> attribute type, deprecated </t>
         </list>
     </t>
 
@@ -3153,7 +3088,6 @@
         <?rfc include="references/reference.RFC.2743.xml"?>
         <?rfc include="references/reference.RFC.2849.xml"?>
         <?rfc include="references/reference.RFC.3986.xml"?>
-        <?rfc include="references/reference.RFC.4291.xml"?>
         <?rfc include="references/reference.RFC.4122.xml"?>
         <?rfc include="references/reference.RFC.4510.xml"?>
         <?rfc include="references/reference.RFC.4511.xml"?>
@@ -3174,7 +3108,6 @@
 
     <references title='Informative References'>
 
-        <?rfc include="references/reference.RFC.1094.xml"?>
         <?rfc include="references/reference.RFC.1813.xml"?>
         <?rfc include="references/reference.RFC.3254.xml"?>
         <?rfc include="references/reference.AFS.xml"?>
diff --git a/references/reference.RFC.1094.xml b/references/reference.RFC.1094.xml
deleted file mode 100644
index 07981f9..0000000
--- a/references/reference.RFC.1094.xml
+++ /dev/null
@@ -1,23 +0,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-
-<reference anchor='RFC1094'>
-
-<front>
-<title abbrev='NFS: Network File System'>NFS: Network File System Protocol specification</title>
-<author initials='B.' surname='Nowicki' fullname='Bill Nowicki'>
-<organization>Sun Microsystems, Inc.</organization>
-<address>
-<postal>
-<street>2550 Garcia Avenue</street>
-<street>Mail Stop 1-40</street>
-<city>Mountain View</city>
-<region>CA</region>
-<code>94043</code>
-<country>US</country></postal>
-<phone>+1 415 336 7278</phone>
-<email>[email-masked]</email></address></author>
-<date year='1989' day='1' month='March' /></front>
-
-<seriesInfo name='RFC' value='1094' />
-<format type='TXT' octets='51454' target='ftp://ftp.isi.edu/in-notes/rfc1094.txt' />
-</reference>
diff --git a/references/reference.RFC.4291.xml b/references/reference.RFC.4291.xml
deleted file mode 100644
index d71c577..0000000
--- a/references/reference.RFC.4291.xml
+++ /dev/null
@@ -1,17 +0,0 @@
-<?xml version='1.0' encoding='UTF-8'?>
-
-<reference anchor='RFC4291'>
-
-<front>
-<title>IP Version 6 Addressing Architecture</title>
-<author initials='R.' surname='Hinden' fullname='R. Hinden'>
-<organization /></author>
-<author initials='S.' surname='Deering' fullname='S. Deering'>
-<organization /></author>
-<date year='2006' month='February' />
-<abstract>
-<t>This specification defines the addressing architecture of the IP Version 6 (IPv6) protocol. The document includes the IPv6 addressing model, text representations of IPv6 addresses, definition of IPv6 unicast addresses, anycast addresses, and multicast addresses, and an IPv6 node's required addresses.&lt;/t>&lt;t> This document obsoletes RFC 3513, "IP Version 6 Addressing Architecture". [STANDARDS TRACK]</t></abstract></front>
-
-<seriesInfo name='RFC' value='4291' />
-<format type='TXT' octets='52897' target='http://www.rfc-editor.org/rfc/rfc4291.txt' />
-</reference>

---

From: Chuck Lever <[email-masked]>
Date: Thu, 30 Aug 2012 13:57:14 -0700

---

 todo.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/todo.txt b/todo.txt
index da8e0c4..bccea5f 100644
--- a/todo.txt
+++ b/todo.txt
@@ -112,6 +112,6 @@ NSDB-4
     Relevant: http://www.ietf.org/mail-archive/web/nfsv4/current/msg10451.html
 
 NSDB-5
-    Status: Open
+    Status: CLOSED
     Description: Address issue raised by Chuck Lever in "Fwd: (ITS#7246) Addition of FedFS schema LDIF"
     http://www.ietf.org/mail-archive/web/nfsv4/current/msg10851.html

---

From: Chuck Lever <[email-masked]>
Date: Thu, 30 Aug 2012 13:57:23 -0700

---

 todo.txt |    2 +-

diff --git a/todo.txt b/todo.txt
index bccea5f..0ef6c56 100644
--- a/todo.txt
+++ b/todo.txt
@@ -91,7 +91,7 @@ NSDB-1
     mechanism that's already in RFC 5661."
 
 NSDB-2
-    Status: Open
+    Status: CLOSED
     Description: Address issue raised by Chuck Lever in "FedFS: Comment about fedfsFslPort"
                  http://www.ietf.org/mail-archive/web/nfsv4/current/msg10305.html